<?php

include_once 'Horde/Rdo.php';

/**
 * The Horde_Company:: class and Horde_CompanyMapper:: provides Rdo extension
 * used in for handling Companys.
 *
 * $Horde: incubator/minerva/lib/Company.php,v 1.2 2007/05/15 10:40:22 duck Exp $
 *
 * Copyright 2006 Duck <duck@obala.net>
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Horde
 */
class Horde_Company extends Horde_Rdo {
}

class Horde_CompanyMapper extends Horde_Rdo_Mapper {

    /**
     * The name of the SQL table
     *
     * @var string
     */
    protected $_table = 'horde_company';

    /**
     */
    public function getAdapter()
    {
        include_once 'Horde/Rdo/Adapter.php';
        return Horde_Rdo_Adapter::factory('pdo', Horde::getDriverConfig('storage', 'sql'));
    }

    /**
    * Load fields metadata
    */
    public function formMeta()
    {
        $data = Horde::loadConfiguration('company.php', 'data', 'hrode');
        if (empty($data)) {
            $data = Horde::loadConfiguration('company.php', 'data');
        }

        return $data;
    }
}
